Main Page Widgets Namespaces Book

# Glib::Interface Class Reference

Inheritance diagram for Glib::Interface:

[legend]
List of all members.

## Public Member Functions

| Interface (const Glib::Interface_Class& interface_class)
| Interface (GObject* castitem)
virtual | ~Interface ()
GObject* | gobj ()
const GObject* | gobj () const

## Constructor & Destructor Documentation

Glib::Interface::Interface | ( | const Glib::Interface_Class& | interface_class | ) | `[explicit]`

Glib::Interface::Interface | ( | GObject* | castitem | ) | `[explicit]`

virtual Glib::Interface::~Interface | ( |  | ) | `[virtual]`

## Member Function Documentation

const GObject* Glib::Interface::gobj | ( |  | ) | const`[inline]`

| Reimplemented from Glib::ObjectBase. Reimplemented in Atk::Action, Atk::Component, Atk::EditableText, Atk::Image, Atk::NoOpObject, Atk::Selection, Atk::Table, Atk::Text, Atk::Value, Gtk::CellEditable, Gtk::Editable, Gtk::Entry, Gtk::ListStore, Gtk::SpinButton, Gtk::TreeDragDest, Gtk::TreeDragSource, Gtk::TreeModel, Gtk::TreeModelSort, Gtk::TreeSortable, and Gtk::TreeStore.

GObject* Glib::Interface::gobj | ( |  | ) | `[inline]`

| Reimplemented from Glib::ObjectBase. Reimplemented in Atk::Action, Atk::Component, Atk::EditableText, Atk::Image, Atk::NoOpObject, Atk::Selection, Atk::Table, Atk::Text, Atk::Value, Gtk::CellEditable, Gtk::Editable, Gtk::Entry, Gtk::ListStore, Gtk::SpinButton, Gtk::TreeDragDest, Gtk::TreeDragSource, Gtk::TreeModel, Gtk::TreeModelSort, Gtk::TreeSortable, and Gtk::TreeStore.

The documentation for this class was generated from the following file:

- interface.h